package com.ltgk.common.enums;


import com.ltgk.common.utils.enums.CodeDescEnumInterface;
import lombok.Getter;

/**
 * 应急管理模块-车辆站点信息-车辆站点类型枚举类
 *
 * @author Qi ChengBin
 * @date 2025/02/11
 */
@Getter
public enum EmVehicleStationTypeEnums implements CodeDescEnumInterface {
    FIRE_STATION(0, "消防站点"),
    MEDICAL_RESCUE_STATION(1, "医疗救援站点"),
    TRAFFIC_RESCUE_STATION(2, "交通救援站点"),
    ENVIRONMENTAL_MONITORING_STATION(3, "环境监测站"),
    GEOPHYSICAL_DISASTER_EMERGENCY_STATION(4, "地质灾害应急站"),
    WEATHER_DISASTER_EMERGENCY_STATION(5, "气象灾害应急站"),
    CIVIL_PROTECTION_PATROL_STATION(6, "治安巡逻站");

    private final Integer code;
    private final String desc;

    EmVehicleStationTypeEnums(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
